package javax.management.modelmbean;

import javax.management.MBeanOperationInfo;
import javax.management.MBeanNotificationInfo;
import javax.management.MBeanConstructorInfo;
import javax.management.MBeanAttributeInfo;
import javax.management.RuntimeOperationsException;
import javax.management.MBeanException;
import javax.management.Descriptor;

public interface ModelMBeanInfo
{
    public abstract Descriptor[] getDescriptors(String p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract void setDescriptors(Descriptor[] p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract Descriptor getDescriptor(String p0, String p1) throws MBeanException, RuntimeOperationsException;
    
    public abstract void setDescriptor(Descriptor p0, String p1) throws MBeanException, RuntimeOperationsException;
    
    public abstract Descriptor getMBeanDescriptor() throws MBeanException, RuntimeOperationsException;
    
    public abstract void setMBeanDescriptor(Descriptor p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract ModelMBeanAttributeInfo getAttribute(String p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract ModelMBeanOperationInfo getOperation(String p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract ModelMBeanNotificationInfo getNotification(String p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract Object clone();
    
    public abstract MBeanAttributeInfo[] getAttributes();
    
    public abstract String getClassName();
    
    public abstract MBeanConstructorInfo[] getConstructors();
    
    public abstract String getDescription();
    
    public abstract MBeanNotificationInfo[] getNotifications();
    
    public abstract MBeanOperationInfo[] getOperations();
}
